Package com.independentsoft.office.drawing.tables

# Class TableProperties

java.lang.Object
com.independentsoft.office.drawing.tables.TableProperties

public class TableProperties extends Object
The Class TableProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableProperties()`
  Instantiates a new table properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableProperties`
  `clone()`
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `GroupFill`
  `getGroupFill()`
  Gets the group fill.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PictureFill`
  `getPictureFill()`
  Gets the picture fill.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `TableStyle`
  `getStyle()`
  Gets the style.
  `String`
  `getStyleID()`
  Gets the style id.
  `boolean`
  `isBandedColumns()`
  Checks if is banded columns.
  `boolean`
  `isBandedRows()`
  Checks if is banded rows.
  `boolean`
  `isFirstColumn()`
  Checks if is first column.
  `boolean`
  `isFirstRow()`
  Checks if is first row.
  `boolean`
  `isLastColumn()`
  Checks if is last column.
  `boolean`
  `isLastRow()`
  Checks if is last row.
  `boolean`
  `isRightToLeft()`
  Checks if is right to left.
  `void`
  `setBandedColumns​(boolean bandedColumns)`
  Sets the banded columns.
  `void`
  `setBandedRows​(boolean bandedRows)`
  Sets the banded rows.
  `void`
  `setFirstColumn​(boolean firstColumn)`
  Sets the first column.
  `void`
  `setFirstRow​(boolean firstRow)`
  Sets the first row.
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setGroupFill​(GroupFill groupFill)`
  Sets the group fill.
  `void`
  `setLastColumn​(boolean lastColumn)`
  Sets the last column.
  `void`
  `setLastRow​(boolean lastRow)`
  Sets the last row.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPictureFill​(PictureFill pictureFill)`
  Sets the picture fill.
  `void`
  `setRightToLeft​(boolean rightToLeft)`
  Sets the right to left.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `void`
  `setStyle​(TableStyle style)`
  Sets the style.
  `void`
  `setStyleID​(String styleID)`
  Sets the style id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableProperties

    public TableProperties()
    Instantiates a new table properties.

- ## Method Details

  - ### clone

    public TableProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPictureFill

    public PictureFill getPictureFill()
    Gets the picture fill.
    Returns:
      the picture fill

  - ### setPictureFill

    public void setPictureFill​(PictureFill pictureFill)
    Sets the picture fill.
    Parameters:
      `pictureFill` - the new picture fill

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getGroupFill

    public GroupFill getGroupFill()
    Gets the group fill.
    Returns:
      the group fill

  - ### setGroupFill

    public void setGroupFill​(GroupFill groupFill)
    Sets the group fill.
    Parameters:
      `groupFill` - the new group fill

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getStyle

    public TableStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(TableStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getStyleID

    public String getStyleID()
    Gets the style id.
    Returns:
      the style id

  - ### setStyleID

    public void setStyleID​(String styleID)
    Sets the style id.
    Parameters:
      `styleID` - the new style id

  - ### isBandedColumns

    public boolean isBandedColumns()
    Checks if is banded columns.
    Returns:
      true, if is banded columns

  - ### setBandedColumns

    public void setBandedColumns​(boolean bandedColumns)
    Sets the banded columns.
    Parameters:
      `bandedColumns` - the new banded columns

  - ### isBandedRows

    public boolean isBandedRows()
    Checks if is banded rows.
    Returns:
      true, if is banded rows

  - ### setBandedRows

    public void setBandedRows​(boolean bandedRows)
    Sets the banded rows.
    Parameters:
      `bandedRows` - the new banded rows

  - ### isFirstColumn

    public boolean isFirstColumn()
    Checks if is first column.
    Returns:
      true, if is first column

  - ### setFirstColumn

    public void setFirstColumn​(boolean firstColumn)
    Sets the first column.
    Parameters:
      `firstColumn` - the new first column

  - ### isFirstRow

    public boolean isFirstRow()
    Checks if is first row.
    Returns:
      true, if is first row

  - ### setFirstRow

    public void setFirstRow​(boolean firstRow)
    Sets the first row.
    Parameters:
      `firstRow` - the new first row

  - ### isLastColumn

    public boolean isLastColumn()
    Checks if is last column.
    Returns:
      true, if is last column

  - ### setLastColumn

    public void setLastColumn​(boolean lastColumn)
    Sets the last column.
    Parameters:
      `lastColumn` - the new last column

  - ### isLastRow

    public boolean isLastRow()
    Checks if is last row.
    Returns:
      true, if is last row

  - ### setLastRow

    public void setLastRow​(boolean lastRow)
    Sets the last row.
    Parameters:
      `lastRow` - the new last row

  - ### isRightToLeft

    public boolean isRightToLeft()
    Checks if is right to left.
    Returns:
      true, if is right to left

  - ### setRightToLeft

    public void setRightToLeft​(boolean rightToLeft)
    Sets the right to left.
    Parameters:
      `rightToLeft` - the new right to left